if !SERVER then return end

local entTable = {
  ["zpizmak_customertable"] = true,
  ["zpizmak_opensign"] = true,
  ["zpizmak_oven"] = true,
  ["zpizmak_fridge"] = true,
}

hook.Add("BaseWars_PlayerBuyEntity", "zpizmak_basewars_SetOwnerOnEntBuy", function(ply, ent)
    if entTable[ent:GetClass()] then
        zpizmak.f.SetOwnerID(ent, ply)
    end
end)
